AsynchronousLoanBroker (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.AsynchronousLoanBroker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker
Class AsynchronousLoanBroker

    java.lang.Object
      org.mule.example.loanbroker.DefaultLoanBroker
          org.mule.example.loanbroker.AsynchronousLoanBroker

All Implemented Interfaces:
  LoanBrokerService

    public class AsynchronousLoanBroker

extends DefaultLoanBroker

`LoanBroker` is the Service that starts the loan request process. The broker also receives the final quote.

Field Summary

Fields inherited from class org.mule.example.loanbroker.DefaultLoanBroker
`logger`

Constructor Summary
`AsynchronousLoanBroker()`

Method Summary
`Object` | `getLoanQuote(CustomerQuoteRequest request)` Triggered by an incoming customer request for a loan.

Methods inherited from class org.mule.example.loanbroker.DefaultLoanBroker
`incProfiles, incQuotes, incRequests, receiveCreditProfile, receiveCustomer, receiveLoanBrokerQuoteRequest, receiveQuote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsynchronousLoanBroker

    public AsynchronousLoanBroker()

Method Detail

### getLoanQuote

    public Object getLoanQuote(CustomerQuoteRequest request)
                        throws LoanBrokerException

  Description copied from interface: `LoanBrokerService`
  Triggered by an incoming customer request for a loan.

  Specified by:
    `getLoanQuote` in interface `LoanBrokerService`
  Overrides:
    `getLoanQuote` in class `DefaultLoanBroker`
  Returns:
    Outgoing payload will depend on the implementation
  Throws:
    `LoanBrokerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.